Kubernetes
action Deployment

# scale_deployment

Scale a deployment.

Run it now
View details

Type | action
Module | chaosk8s.deployment.actions
Name | scale_deployment
Return | None

Usage

JSON

    {
      "name": "scale-deployment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.deployment.actions",
        "func": "scale_deployment",
        "arguments": {
          "name": "",
          "replicas": 0
        }
      }
    }

YAML

    name: scale-deployment
    provider:
      arguments:
        name: ""
        replicas: 0
      func: scale_deployment
      module: chaosk8s.deployment.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | Name of the deployment
ns | string | ”default” | Yes | Namespace |
replicas | integer | 1 | Yes | Number of Replicas | Desired number of replicas

Signature

    def scale_deployment(name: str,
                         replicas: int,
                         ns: str = 'default',
                         secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Deployment

  ## `rollout_deployment`

  Rollout a deployment.
- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest
- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest